CREATE PARTITION FUNCTION Credit4MonthPFN(datetime)
AS 
RANGE RIGHT FOR VALUES ('20040601',		-- Jun 2004
						'20040701',		-- Jul 2004
						'20040801',		-- Aug 2004
						'20040901')		-- Sep 2004	
GO
CREATE PARTITION FUNCTION Credit4MonthPFN(datetime)
AS 
RANGE LEFT FOR VALUES (dateadd(ms, -3, '20040601'),		-- Jun 2004
						dateadd(ms, -3, '20040701'),		-- Jul 2004
						dateadd(ms, -3, '20040801'),		-- Aug 2004
						dateadd(ms, -3, '20040901'))		-- Sep 2004	
GO

CREATE PARTITION FUNCTION Credit4MonthPFN2(datetime)
AS 
RANGE LEFT FOR VALUES ('20040531 23:59:59.997',		-- Jun 2004
						'20040630 23:59:59.997',		-- Jul 2004
						'20040731 23:59:59.997',		-- Aug 2004
						'20040831 23:59:59.997')		-- Sep 2004	
GO
select * from sys.partition_range_values